Use a safe temporary file for saving out the PR if send-pr is

interrupted.

MT5:	7 days
MT4:	7 days
This commit is contained in:
Ceri Davies 2004-09-14 20:30:35 +00:00
parent 8dc77a6163
commit 3f83bced70
Notes: svn2git 2020-12-20 02:59:44 +00:00
svn path=/head/; revision=135246

View File

@ -262,7 +262,7 @@ TEMP=`mktemp -t pf` || exit 1
# Catch some signals. ($xs kludge needed by Sun /bin/sh)
xs=0
trap 'rm -f $REF $TEMP; exit $xs' 0
trap 'echo "$COMMAND: Aborting ... saving unfinished PR into /tmp/pr.$$"; rm -f $REF ; mv $TEMP /tmp/pr.$$; xs=1; exit' 1 2 3 13 15
trap 'SAV=`mktemp -t pr`;echo "$COMMAND: Aborting ... saving unfinished PR into $SAV"; rm -f $REF ; mv $TEMP $SAV; xs=1; exit' 1 2 3 13 15
# If they told us to use a specific file, then do so.
if [ -n "$IN_FILE" ]; then